# Spec file for AFPL Ghostscript 7.04
#
# This file is not maintained by artocode LLC.
#
# The intention of this package is to allow someone to update
# Ghostscript from an older GNU Ghostscript version to a later
# AFPL Ghostscript version.
# Note that AFPL Ghostscript has a different licence to
# GNU Ghostscript.   You can not include AFPL Ghostscript
# in a linux distribution that is distributed commercially.
#
# This package depends on ghostscript-fonts and assumes that 
# fonts are in the directories
#   /usr/share/fonts/default/ghostscript
#   /usr/share/fonts/default/Type1
#   /usr/share/ghostscript/fonts
# Where possible, the Ghostscript paths are unchanged from those 
# specified in the Ghostscript unix makefile.
# Shared zlib and libpng libraries are not used.
# The ghostscript-N.N-config.patch file *deliberately* has
# minimal changes to the Makefile.  Please do not change this.
#
# See Make.htm#Linux for details of how to build the spec files.
#
# For each new version of Ghostscript, you will need to change 
#   Version:
#   Source[0-3]:
#   Patch:
#   Patch1:
#   directory renaming of 3rd party libraries in %prep
#   update the patch files.
#
Summary: PostScript interpreter and renderer
Name: ghostscript
Version: 7.04
Release: 1
Copyright: Aladdin Free Public License, artocode LLC
Group: Applications/Graphics
Source0: ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/AFPL/gs704/ghostscript-%{version}.tar.gz
Source1: ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/AFPL/gs704/jpegsrc.v6b.tar.gz
Source2: ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/AFPL/gs704/libpng-1.2.1.tar.gz
Source3: ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/AFPL/gs704/zlib-1.1.3.tar.gz
Patch: ghostscript-%{version}-config.patch
# comment out the following line if no post release patches are available.
#Patch1: ghostscript-%{version}-post.patch
URL: http://www.cs.wisc.edu/~ghost/
#Icon: ghost.gif
#Distribution: Unknown
Vendor: artofcode LLC
Packager: Russell Lang <gsview@ghostgum.com.au>
Requires: ghostscript-fonts
BuildRoot: /var/tmp/ghostscript-root

%description
Ghostscript is a PostScript interpreter. It can render both PostScript
and PDF compliant files to devices which include an X window, many printer
formats (including support for colour printers), and popular graphics
file formats.

%prep
# remove old directory
rm -rf $RPM_BUILD_DIR/gs%{version}
mkdir $RPM_BUILD_DIR/gs%{version}
#
# unpack main sources
%setup -n gs%{version}
#
# unpack jpeg
%setup -T -D -a 1 -n gs%{version}
mv $RPM_BUILD_DIR/gs%{version}/jpeg-6b  $RPM_BUILD_DIR/gs%{version}/jpeg
#
# unpack libpng
%setup -T -D -a 2 -n gs%{version}
mv $RPM_BUILD_DIR/gs%{version}/libpng-1.2.1  $RPM_BUILD_DIR/gs%{version}/libpng
#
# unpack zlib
%setup -T -D -a 3 -n gs%{version}
mv $RPM_BUILD_DIR/gs%{version}/zlib-1.1.3  $RPM_BUILD_DIR/gs%{version}/zlib
#
# copy the makefile, then patch the new copy
cp $RPM_BUILD_DIR/gs%{version}/src/unix-gcc.mak $RPM_BUILD_DIR/gs%{version}/Makefile
cp $RPM_BUILD_DIR/gs%{version}/Makefile $RPM_BUILD_DIR/gs%{version}/Makefile.backup
%patch  -p1 -b .config
# apply the post release patches (comment out following line if none)
#%patch1  -p1 -b .post


%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" prefix=/usr GS_LIB_DEFAULT=/usr/share/ghostscript/%{version}/lib:/usr/share/fonts/default/ghostscript:/usr/share/fonts/default/Type1:/usr/share/ghostscript/fonts docdir=/usr/share/doc/ghostscript-%{version}

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" prefix=/usr GS_LIB_DEFAULT=/usr/share/ghostscript/%{version}/lib:/usr/share/fonts/default/ghostscript:/usr/share/fonts/default/Type1:/usr/share/ghostscript/fonts docdir=/usr/share/doc/ghostscript-%{version} so

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib,man}
mkdir -p $RPM_BUILD_ROOT/usr/share/doc
make install prefix=$RPM_BUILD_ROOT/usr docdir=$RPM_BUILD_ROOT/usr/share/doc/ghostscript-%{version}
make soinstall prefix=$RPM_BUILD_ROOT/usr docdir=$RPM_BUILD_ROOT/usr/share/doc/ghostscript-%{version}
ln -sf gs.1 $RPM_BUILD_ROOT/usr/man/man1/ghostscript.1
ln -sf gs $RPM_BUILD_ROOT/usr/bin/ghostscript
#strip $RPM_BUILD_ROOT/usr/bin/gs


%files
%defattr(-, root, root)
/usr/share/doc/ghostscript-%{version}
/usr/bin/*
/usr/lib/*
%dir /usr/share/ghostscript
%dir /usr/share/ghostscript/%{version}
/usr/share/ghostscript/%{version}/lib
/usr/share/ghostscript/%{version}/examples
/usr/man/*/*

%changelog
* Sat Feb 02 2002 Russell Lang <gsview@ghostgum.com.au>
- ghostscript 7.04 release
* Sat Oct 27 2001 Russell Lang <gsview@ghostgum.com.au>
- ghostscript 7.03 release
  Change path to /usr, so it matches usual RedHat location.
  Install libgs.so.
* Tue Apr 11 2001 Russell Lang <gsview@ghostgum.com.au>
- ghostscript 7.00 release
* Mon Dec 16 2000 Russell Lang <gsview@ghostgum.com.au>
- patched to fix x11 ghostview interface
  change path back to /usr/local
* Fri Dec 8 2000 Russell Lang <gsview@ghostgum.com.au>
- ghostscript 6.50 release
  Built under RedHat 6.2.
- ghostscript 6.01 release
  Added RPM_OPT_FLAGS
  Added more Ghostscript devices.
* Sun Feb 13 2000 Russell Lang <gsview@ghostgum.com.au>
- ghostscript 6.0 release
  Built under RedHat 5.1.
  Objective is to make this RPM as portable as possible.
  Minimal changes to Makefile.
  This is an Aladdin release, not GNU.
